Imports System.IO
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Data

Module EnvioParaSEF

    Sub Main()
        Dim wsSEF As New pt.sef.wwwDev.BoletinsAlojamento

        Dim UH As String
        Dim Estabelecimento As String
        Dim ChaveAcesso As String
        Dim Fich As FileInfo
        Try
            If My.Application.CommandLineArgs.Count = 0 Then
                Console.WriteLine("ERRO. No foi fornecido o nome do ficheiro XML a enviar.")
                End
            End If
            Fich = New FileInfo(My.Application.CommandLineArgs(0))

            If Not Fich.Exists Then
                Console.WriteLine("ERRO. Ficheiro " & Fich.FullName & " inexistente.")
                End
            End If
        Catch ex As Exception
            Console.WriteLine("ERRO.  " & ex.Message)
            End
        End Try


        UH = My.Settings.UnidadeHoteleira
        Estabelecimento = My.Settings.Estabelecimento
        ChaveAcesso = My.Settings.ChaveAcesso


        If UH Is Nothing Or Estabelecimento Is Nothing Or ChaveAcesso Is Nothing Then
            Console.WriteLine("ERRO. Parametros de acesso inexistentes.")
            End
        End If


        Dim xm As String
        Try
            Dim st As New StreamReader(Fich.FullName)
            xm = st.ReadToEnd
            Dim enc As New System.Text.UTF8Encoding
            Dim Buffer() As Byte = enc.GetBytes(xm)
            Console.WriteLine(wsSEF.EntregaBoletinsAlojamento(UH, Estabelecimento, ChaveAcesso, Convert.ToBase64String(Buffer, 0, Buffer.Length)))
        Catch ex As Exception
            Console.WriteLine(ex.Message)
        End Try
    End Sub

End Module
